$(function () {

  // mouseenter() ・・・ マウスが乗った時
  $('#photo1').mouseenter(function () {
    $(this).attr('src', 'images/onigiri.jpg').attr('alt', 'おにぎり');
  });

  // mouseleave() ・・・ マウスが離れた時
  $('#photo1').mouseleave(function () {
    $(this).attr('src', 'images/pasta.jpg').attr('alt', 'パスタ');
  });

  // hover() ・・・ マウスが乗った時と離れた時
  $('#photo2').hover(function () {
    $(this).attr('src', 'images/onigiri.jpg').attr('alt', 'おにぎり');
  }, function () {
    $(this).attr('src', 'images/pasta.jpg').attr('alt', 'パスタ');
  });

  // mousemove() ・・・ マウスが動いた時
  $('#box1').mousemove(function (e) {
    $(this).text('X：' + e.pageX + 'Y：' + e.pageY);
  });
});
